﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Configuration;
using System.Data.SqlClient;

public partial class CS : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
            DataTable dt = new DataTable();
            string constr = ConfigurationManager.ConnectionStrings["constr"].ConnectionString;
            using (SqlConnection con = new SqlConnection(constr))
            {
                using (SqlDataAdapter sda = new SqlDataAdapter("SELECT Id, Name FROM tblFiles", con))
                {
                    sda.Fill(dt);
                    ddlImages.DataSource = dt;
                    ddlImages.DataTextField = "Name";
                    ddlImages.DataValueField = "Id";
                    ddlImages.DataBind();
                }
            }
        }
    }

    protected void FetchImage(object sender, EventArgs e)
    {
        string id = ddlImages.SelectedItem.Value;
        Image1.Visible = id != "0";
        Image1.ImageUrl = string.Format("~/HandlerCS.ashx?id={0}", id);
    }
}